package com.tanpu.community.api.beans.qo;

import com.tanpu.community.api.beans.ImagesDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
@ApiModel("主题信息流对象")
public class ThemeQo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主题ID")
    private String themeId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "类型 1：讨论无标题 2：长文有标题 3：转发")
    private Integer themeType;

    @ApiModelProperty(value = "内容")
    private List<ThemeContentQo> content;

    @ApiModelProperty(value = "作者id")
    private String authorId;

    @ApiModelProperty(value = "所属的话题")
    private String topicId;

    @ApiModelProperty(value = "昵称")
    private String nickName;

    @ApiModelProperty(value = "用户头像")
    private String userImg;

    @ApiModelProperty(value = "是否关注")
    private boolean follow;

    @ApiModelProperty(value = "作者认证")
    private String authLabel;

    @ApiModelProperty(value = "发表时间")
    private String upToNowTime;


    @ApiModelProperty(value = "转发量")
    private Integer forwardCount;

    @ApiModelProperty(value = "评论量")
    private Integer commentCount;

    @ApiModelProperty(value = "点赞量")
    private Integer likeCount;

    @ApiModelProperty(value = "图片九宫格")
    private List<ImagesDTO> imgList;

    @ApiModelProperty(value = "转发的主题")
    private ThemeFormerQo formerTheme;

}
