package com.tanpu.community.api.beans.req.homepage;

import com.tanpu.community.api.beans.req.page.Pageable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Data
@ApiModel(value = "查询关注/粉丝列表")
public class QueryFollowReq {

    @NotEmpty(message = "userId不能为空")
    @ApiModelProperty(value = "用户Id")
    private String userId;

    @NotEmpty(message = "queryType不能为空")
    @ApiModelProperty(value = "查询类型，1：粉丝 2：关注")
    private Integer queryType;

    @NotEmpty(message = "page不能为空")
    @ApiModelProperty(value = "分页")
    private Pageable page;
}
