package com.tanpu.community.api.beans.req.theme;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@ApiModel
@Data
public class CreateCommentReq {

    @NotEmpty(message = "主题id不能为空")
    private String themeId;

    @ApiModelProperty(value = "一级评论id（对主题的一级评论，此项为空）")
    private String parentId;

    @ApiModelProperty(value = "回复对象的id（非对评论回复时，此项为空）")
    private String replyId;

    @NotEmpty(message = "评论内容不能为空")
    private ThemeContentReq comment;

    @ApiModelProperty(value = "是否同步到专栏")
    private boolean copyToNewsFeed;
}
