package com.tanpu.community.api.beans.req.theme;

import com.tanpu.community.api.beans.ImagesDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
public class CreateThemeReq {

    private static final long serialVersionUID = 1L;


    @NotEmpty(message = "类型不能为空")
    @ApiModelProperty(value = "类型 1：讨论无标题 2：长文有标题")
    private Integer themeType;


    @ApiModelProperty(value = "标题")
    private String title;

    @NotEmpty(message = "内容不能为空")
    @ApiModelProperty(value = "文本内容")
    private List<ThemeContentReq> content;

    @ApiModelProperty(value = "所属的话题id")
    private String topicId;

    @ApiModelProperty(value = "讨论中的图片列表")
    private List<ImagesDTO> imgList;
}
