package com.tanpu.community.api.enums;

/**
 * 资源类型
 */
public enum RelTypeEnum {
    /**
     * 专栏
     */
    COLUMN(1, "栏目"),

    /**
     * 课程包
     */
    PACKAGE(2, "课程包"),
    /**
     * 直播
     */
    LIVE(3, "直播"),

    /**
     * 视频
     */
    VIDEO(4, "视频"),

    /**
     * 音频
     */
    AUDIO(5, "音频"),

    /**
     * 短视频
     */
    SHORT_VIDEO(6, "小视频"),

    /**
     * 课件
     */
    COURSE_WARE(7, "直播课件"),
    /**
     * 文本类型
     */
    TEXT(8, "文本"),

    FUND(88, "产品"),

    PINGLUN(99, "评论"),

    TAMP_CAMP(101, "训练营"),

    SPECIAL_IMG(122, "专栏-图片"),

    RES_FILE(121, "资源文件"),

    ARTICLE(202, "文章"),

    DAYREPORT(204, "早报"),


    /**
     * 新版课程包
     */
    NEW_COURSE_WARE(300, "新版课程 - 课程包"),

    /**
     * 新版课程
     */
    NEW_COURSE_CHAPTER(301, "新版课程 - 章节"),

    /**
     * 新版课程
     */
    NEW_COURSE_SECTION_AUDIO(303, "新版课程 - 小节 - 音频"),


    /**
     * 新版课程
     */
    NEW_COURSE_SECTION_VIDEO(304, "新版课程 - 小节 - 视频"),


    /**
     * 新版课件
     */
    NEW_COURSE_SECTION_KEJIAN(305, "新版课件 - 课件 - 课件");

    /**
     * 前端用的类型
     */
    public String type;

    /**
     * 名称
     */
    public String name;


    RelTypeEnum(Integer type, String name) {
        this.type = type.toString();
        this.name = name;
    }


}
