package com.tanpu.community.controller;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.qo.FollowQo;
import com.tanpu.community.api.beans.qo.ThemeQo;
import com.tanpu.community.api.beans.req.HomePageReq;
import com.tanpu.community.api.beans.req.homepage.AddIdolReq;
import com.tanpu.community.api.beans.req.homepage.QueryFollowReq;
import com.tanpu.community.api.beans.req.homepage.QueryRecordThemeReq;
import com.tanpu.community.api.beans.req.page.Page;
import com.tanpu.community.manager.HomePageManager;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@Slf4j
@RequestMapping(value = "/api/homepage")
public class HomePageController {

    @Autowired
    private HomePageManager homePageManager;

    @PostMapping(value = "/editUserInfo")
    @ApiOperation("编辑圈子个人资料")
    @ResponseBody
    public CommonResp<String> editUserInfo(@Validated @RequestBody HomePageReq req){
        String userId="liujm";
        homePageManager.editUserInfo(req,userId);
        return CommonResp.success("修改成功");
    }

    @PostMapping(value = "/queryMyFans")
    @ApiOperation("查询关注/粉丝列表")
    @ResponseBody
    public CommonResp<Page<FollowQo>> queryMyFans(@RequestBody QueryFollowReq req) {
        String userId = "123";
        return CommonResp.success(homePageManager.queryFollow(req));
    }

    @PostMapping(value = "/addIdol")
    @ApiOperation("关注他人")
    @ResponseBody
    public CommonResp addIdol(@RequestBody AddIdolReq req) {
        String userId = "123";
        homePageManager.addIdol(req.idolId, userId);
        return CommonResp.success();
    }

    @PostMapping(value = "/queryList")
    @ApiOperation("我的点赞帖子列表")
    @ResponseBody
    public CommonResp<List<ThemeQo>> likeList(@RequestBody QueryRecordThemeReq req){
        String userId="123";
        return CommonResp.success();
    }

}
