package com.tanpu.community.dao.entity.community;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 收藏/点赞
 * </p>
 *
 * @author xudong
 * @since 2021-07-07
 */
@TableName("collection")
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value="CollectionEntity对象", description="收藏/点赞")
public class CollectionEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "类型 1:点赞，2：收藏")
    private Integer collectionType;

    @ApiModelProperty(value = "用户id")
    private String userId;

    @ApiModelProperty(value = "目标id")
    private String targetId;

    @ApiModelProperty(value = "收藏时间")
    private LocalDateTime collectionTime;

    @ApiModelProperty(value = "取消收藏时间")
    private LocalDateTime uncollectionTime;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private Integer deleteTag;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getCollectionType() {
        return collectionType;
    }

    public void setCollectionType(Integer collectionType) {
        this.collectionType = collectionType;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getTargetId() {
        return targetId;
    }

    public void setTargetId(String targetId) {
        this.targetId = targetId;
    }

    public LocalDateTime getCollectionTime() {
        return collectionTime;
    }

    public void setCollectionTime(LocalDateTime collectionTime) {
        this.collectionTime = collectionTime;
    }

    public LocalDateTime getUncollectionTime() {
        return uncollectionTime;
    }

    public void setUncollectionTime(LocalDateTime uncollectionTime) {
        this.uncollectionTime = uncollectionTime;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteTag() {
        return deleteTag;
    }

    public void setDeleteTag(Integer deleteTag) {
        this.deleteTag = deleteTag;
    }

    @Override
    public String toString() {
        return "CollectionEntity{" +
        "id=" + id +
        ", collectionType=" + collectionType +
        ", userId=" + userId +
        ", targetId=" + targetId +
        ", collectionTime=" + collectionTime +
        ", uncollectionTime=" + uncollectionTime +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", deleteTag=" + deleteTag +
        "}";
    }
}
