package com.tanpu.community.dao.entity.community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 话题
 * </p>
 *
 * @author xudong
 * @since 2021-07-07
 */
@TableName("topic")
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value="TopicEntity对象", description="话题")
public class TopicEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "uuid")
    private String topicId;

    @ApiModelProperty(value = "话题名称")
    private String topicTitle;

    @ApiModelProperty(value = "是否置顶")
    private Integer isTop;

    @ApiModelProperty(value = "是否隐藏")
    private Integer isConceal;

    @ApiModelProperty(value = "浏览量调整")
    private Long viewCntAdjust;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private Integer deleteTag;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTopicId() {
        return topicId;
    }

    public void setTopicId(String topicId) {
        this.topicId = topicId;
    }

    public String getTopicTitle() {
        return topicTitle;
    }

    public void setTopicTitle(String topicTitle) {
        this.topicTitle = topicTitle;
    }

    public Integer getIsTop() {
        return isTop;
    }

    public void setIsTop(Integer isTop) {
        this.isTop = isTop;
    }

    public Integer getIsConceal() {
        return isConceal;
    }

    public void setIsConceal(Integer isConceal) {
        this.isConceal = isConceal;
    }

    public Long getviewCntAdjust() {
        return viewCntAdjust;
    }

    public void setViewAmountModify(Long viewAmountModify) {
        this.viewCntAdjust = viewAmountModify;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteTag() {
        return deleteTag;
    }

    public void setDeleteTag(Integer deleteTag) {
        this.deleteTag = deleteTag;
    }

    @Override
    public String toString() {
        return "TopicEntity{" +
        "id=" + id +
        ", topicId=" + topicId +
        ", topicTitle=" + topicTitle +
        ", isTop=" + isTop +
        ", isConceal=" + isConceal +
        ", viewAmountModify=" + viewCntAdjust +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", deleteTag=" + deleteTag +
        "}";
    }
}
