package com.tanpu.community.dao.entity.user;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 定价表
 * </p>
 *
 * @author xudong
 * @since 2021-06-24
 */
@TableName("curriculum_price")
@ApiModel(value="CurriculumPriceEntity对象", description="定价表")
public class CurriculumPriceEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    private String id;

    @ApiModelProperty(value = "关联id")
    private String relId;

    @ApiModelProperty(value = "付费模式 1：免费 2：积分  3：现金")
    private Integer chargeMode;

    @ApiModelProperty(value = "价格")
    private Long price;

    @ApiModelProperty(value = "划线价")
    private Long crossedPrice;

    @ApiModelProperty(value = "是否促销 0：否  1 ：是 ")
    private Integer promo;

    @ApiModelProperty(value = "促销价格")
    private Long promoPrice;

    @ApiModelProperty(value = "促销开始日期")
    private LocalDateTime promoStartTime;

    @ApiModelProperty(value = "促销结束日期")
    private LocalDateTime promoEndTime;

    @ApiModelProperty(value = "使用积分 0：不使用 1：使用 （保留字段）")
    private Integer useScore;

    @ApiModelProperty(value = "积分")
    private Integer score;

    @ApiModelProperty(value = "是否有角色价 0：没有  1：有")
    private Integer isRolePrice;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "删除")
    private Integer deleteTag;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "机构id")
    private String orgId;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRelId() {
        return relId;
    }

    public void setRelId(String relId) {
        this.relId = relId;
    }

    public Integer getChargeMode() {
        return chargeMode;
    }

    public void setChargeMode(Integer chargeMode) {
        this.chargeMode = chargeMode;
    }

    public Long getPrice() {
        return price;
    }

    public void setPrice(Long price) {
        this.price = price;
    }

    public Long getCrossedPrice() {
        return crossedPrice;
    }

    public void setCrossedPrice(Long crossedPrice) {
        this.crossedPrice = crossedPrice;
    }

    public Integer getPromo() {
        return promo;
    }

    public void setPromo(Integer promo) {
        this.promo = promo;
    }

    public Long getPromoPrice() {
        return promoPrice;
    }

    public void setPromoPrice(Long promoPrice) {
        this.promoPrice = promoPrice;
    }

    public LocalDateTime getPromoStartTime() {
        return promoStartTime;
    }

    public void setPromoStartTime(LocalDateTime promoStartTime) {
        this.promoStartTime = promoStartTime;
    }

    public LocalDateTime getPromoEndTime() {
        return promoEndTime;
    }

    public void setPromoEndTime(LocalDateTime promoEndTime) {
        this.promoEndTime = promoEndTime;
    }

    public Integer getUseScore() {
        return useScore;
    }

    public void setUseScore(Integer useScore) {
        this.useScore = useScore;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public Integer getIsRolePrice() {
        return isRolePrice;
    }

    public void setIsRolePrice(Integer isRolePrice) {
        this.isRolePrice = isRolePrice;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteTag() {
        return deleteTag;
    }

    public void setDeleteTag(Integer deleteTag) {
        this.deleteTag = deleteTag;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    @Override
    public String toString() {
        return "CurriculumPriceEntity{" +
        "id=" + id +
        ", relId=" + relId +
        ", chargeMode=" + chargeMode +
        ", price=" + price +
        ", crossedPrice=" + crossedPrice +
        ", promo=" + promo +
        ", promoPrice=" + promoPrice +
        ", promoStartTime=" + promoStartTime +
        ", promoEndTime=" + promoEndTime +
        ", useScore=" + useScore +
        ", score=" + score +
        ", isRolePrice=" + isRolePrice +
        ", createTime=" + createTime +
        ", createBy=" + createBy +
        ", updateTime=" + updateTime +
        ", deleteTag=" + deleteTag +
        ", updateBy=" + updateBy +
        ", orgId=" + orgId +
        "}";
    }
}
