package com.tanpu.community.dao.entity.user;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 课程资源
 * </p>
 *
 * @author xudong
 * @since 2021-06-23
 */
@TableName("curriculum_res")
@ApiModel(value="CurriculumResEntity对象", description="课程资源")
public class CurriculumResEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private String id;

    @ApiModelProperty(value = "课程名称")
    private String title;

    @ApiModelProperty(value = "课程音视频")
    private String audio;

    @ApiModelProperty(value = "音/视频类型  1:音频 2:视频 3:小视频")
    private Integer audioType;

    @ApiModelProperty(value = "讲师id")
    private String teacherId;

    @ApiModelProperty(value = "讲师姓名")
    private String teacherName;

    @ApiModelProperty(value = "文稿内容")
    private String content;

    @ApiModelProperty(value = "时长")
    private Integer duration;

    @ApiModelProperty(value = "文件大小KB")
    private Integer fileSize;

    @ApiModelProperty(value = "组织id")
    private String orgId;

    @ApiModelProperty(value = "房间密码")
    private String roomPwd;

    @ApiModelProperty(value = "白名单  1：白名单  2：黑名单")
    private Integer whiteList;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "阅读数")
    private Integer readNum;

    @ApiModelProperty(value = "阅读基础数")
    private Integer readBaseNum;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "删除标识")
    private Integer deleteTag;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "简介")
    private String info;

    @ApiModelProperty(value = "封面")
    private String cover;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getAudio() {
        return audio;
    }

    public void setAudio(String audio) {
        this.audio = audio;
    }

    public Integer getAudioType() {
        return audioType;
    }

    public void setAudioType(Integer audioType) {
        this.audioType = audioType;
    }

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getDuration() {
        return duration;
    }

    public void setDuration(Integer duration) {
        this.duration = duration;
    }

    public Integer getFileSize() {
        return fileSize;
    }

    public void setFileSize(Integer fileSize) {
        this.fileSize = fileSize;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getRoomPwd() {
        return roomPwd;
    }

    public void setRoomPwd(String roomPwd) {
        this.roomPwd = roomPwd;
    }

    public Integer getWhiteList() {
        return whiteList;
    }

    public void setWhiteList(Integer whiteList) {
        this.whiteList = whiteList;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Integer getReadNum() {
        return readNum;
    }

    public void setReadNum(Integer readNum) {
        this.readNum = readNum;
    }

    public Integer getReadBaseNum() {
        return readBaseNum;
    }

    public void setReadBaseNum(Integer readBaseNum) {
        this.readBaseNum = readBaseNum;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteTag() {
        return deleteTag;
    }

    public void setDeleteTag(Integer deleteTag) {
        this.deleteTag = deleteTag;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    public String getCover() {
        return cover;
    }

    public void setCover(String cover) {
        this.cover = cover;
    }

    @Override
    public String toString() {
        return "CurriculumResEntity{" +
        "id=" + id +
        ", title=" + title +
        ", audio=" + audio +
        ", audioType=" + audioType +
        ", teacherId=" + teacherId +
        ", teacherName=" + teacherName +
        ", content=" + content +
        ", duration=" + duration +
        ", fileSize=" + fileSize +
        ", orgId=" + orgId +
        ", roomPwd=" + roomPwd +
        ", whiteList=" + whiteList +
        ", createBy=" + createBy +
        ", readNum=" + readNum +
        ", readBaseNum=" + readBaseNum +
        ", createTime=" + createTime +
        ", updateBy=" + updateBy +
        ", updateTime=" + updateTime +
        ", deleteTag=" + deleteTag +
        ", status=" + status +
        ", sort=" + sort +
        ", info=" + info +
        ", cover=" + cover +
        "}";
    }
}
