package com.tanpu.community.dao.entity.user;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author xudong
 * @since 2021-06-23
 */
@TableName("fin_pro_res")
@ApiModel(value="FinProResEntity对象", description="")
public class FinProResEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一主键")
    private String id;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "名称简拼")
    private String abbr;

    @ApiModelProperty(value = "备注")
    private String bak;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "标识0:机构产品 1：用户自定义产品")
    private String flag;

    @ApiModelProperty(value = "产品资料")
    private String resjson;

    @ApiModelProperty(value = "宣传文案")
    private String desjson;

    @ApiModelProperty(value = "产品缩略图")
    private String proImgurl;

    @ApiModelProperty(value = "产品亮点")
    private String proBright;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;

    @ApiModelProperty(value = "删除标识")
    private Integer deleteTag;

    @ApiModelProperty(value = "机构Id")
    private String orgId;

    @ApiModelProperty(value = "产品标签")
    private String proTag;

    @ApiModelProperty(value = "名称开关")
    private String titleSw;

    @ApiModelProperty(value = "列表名称")
    private String proTitle;

    @ApiModelProperty(value = "风险揭示书配置")
    private String proRiskConfig;

    @ApiModelProperty(value = "风险管控开关")
    private Integer investorCertificationSwitch;

    @ApiModelProperty(value = "风险评级")
    private Integer riskLevel;

    @ApiModelProperty(value = "审核人")
    private String arReviewBy;

    @ApiModelProperty(value = "审核时间")
    private LocalDateTime arReviewTime;

    @ApiModelProperty(value = "提交发布人")
    private String arSubmitBy;

    @ApiModelProperty(value = "提交发布时间")
    private LocalDateTime arSubmitTime;

    @ApiModelProperty(value = "上架人")
    private String arReleaseBy;

    @ApiModelProperty(value = "上架时间")
    private LocalDateTime arReleaseTime;

    @ApiModelProperty(value = "产品类型")
    private String proType;

    @ApiModelProperty(value = "下架人")
    private String arSoltBy;

    @ApiModelProperty(value = "下架时间")
    private LocalDateTime arSoltTime;

    @ApiModelProperty(value = "预下架时间")
    @TableField("pro_soldout_Time")
    private LocalDateTime proSoldoutTime;

    @ApiModelProperty(value = "募集开始时间")
    private LocalDateTime raiseStart;

    @ApiModelProperty(value = "募集结束时间")
    private LocalDateTime raiseEnd;

    @ApiModelProperty(value = "产品状态")
    private String proStatus;

    @ApiModelProperty(value = "募集量")
    private String raiseNum;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAbbr() {
        return abbr;
    }

    public void setAbbr(String abbr) {
        this.abbr = abbr;
    }

    public String getBak() {
        return bak;
    }

    public void setBak(String bak) {
        this.bak = bak;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getResjson() {
        return resjson;
    }

    public void setResjson(String resjson) {
        this.resjson = resjson;
    }

    public String getDesjson() {
        return desjson;
    }

    public void setDesjson(String desjson) {
        this.desjson = desjson;
    }

    public String getProImgurl() {
        return proImgurl;
    }

    public void setProImgurl(String proImgurl) {
        this.proImgurl = proImgurl;
    }

    public String getProBright() {
        return proBright;
    }

    public void setProBright(String proBright) {
        this.proBright = proBright;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Integer getDeleteTag() {
        return deleteTag;
    }

    public void setDeleteTag(Integer deleteTag) {
        this.deleteTag = deleteTag;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getProTag() {
        return proTag;
    }

    public void setProTag(String proTag) {
        this.proTag = proTag;
    }

    public String getTitleSw() {
        return titleSw;
    }

    public void setTitleSw(String titleSw) {
        this.titleSw = titleSw;
    }

    public String getProTitle() {
        return proTitle;
    }

    public void setProTitle(String proTitle) {
        this.proTitle = proTitle;
    }

    public String getProRiskConfig() {
        return proRiskConfig;
    }

    public void setProRiskConfig(String proRiskConfig) {
        this.proRiskConfig = proRiskConfig;
    }

    public Integer getInvestorCertificationSwitch() {
        return investorCertificationSwitch;
    }

    public void setInvestorCertificationSwitch(Integer investorCertificationSwitch) {
        this.investorCertificationSwitch = investorCertificationSwitch;
    }

    public Integer getRiskLevel() {
        return riskLevel;
    }

    public void setRiskLevel(Integer riskLevel) {
        this.riskLevel = riskLevel;
    }

    public String getArReviewBy() {
        return arReviewBy;
    }

    public void setArReviewBy(String arReviewBy) {
        this.arReviewBy = arReviewBy;
    }

    public LocalDateTime getArReviewTime() {
        return arReviewTime;
    }

    public void setArReviewTime(LocalDateTime arReviewTime) {
        this.arReviewTime = arReviewTime;
    }

    public String getArSubmitBy() {
        return arSubmitBy;
    }

    public void setArSubmitBy(String arSubmitBy) {
        this.arSubmitBy = arSubmitBy;
    }

    public LocalDateTime getArSubmitTime() {
        return arSubmitTime;
    }

    public void setArSubmitTime(LocalDateTime arSubmitTime) {
        this.arSubmitTime = arSubmitTime;
    }

    public String getArReleaseBy() {
        return arReleaseBy;
    }

    public void setArReleaseBy(String arReleaseBy) {
        this.arReleaseBy = arReleaseBy;
    }

    public LocalDateTime getArReleaseTime() {
        return arReleaseTime;
    }

    public void setArReleaseTime(LocalDateTime arReleaseTime) {
        this.arReleaseTime = arReleaseTime;
    }

    public String getProType() {
        return proType;
    }

    public void setProType(String proType) {
        this.proType = proType;
    }

    public String getArSoltBy() {
        return arSoltBy;
    }

    public void setArSoltBy(String arSoltBy) {
        this.arSoltBy = arSoltBy;
    }

    public LocalDateTime getArSoltTime() {
        return arSoltTime;
    }

    public void setArSoltTime(LocalDateTime arSoltTime) {
        this.arSoltTime = arSoltTime;
    }

    public LocalDateTime getProSoldoutTime() {
        return proSoldoutTime;
    }

    public void setProSoldoutTime(LocalDateTime proSoldoutTime) {
        this.proSoldoutTime = proSoldoutTime;
    }

    public LocalDateTime getRaiseStart() {
        return raiseStart;
    }

    public void setRaiseStart(LocalDateTime raiseStart) {
        this.raiseStart = raiseStart;
    }

    public LocalDateTime getRaiseEnd() {
        return raiseEnd;
    }

    public void setRaiseEnd(LocalDateTime raiseEnd) {
        this.raiseEnd = raiseEnd;
    }

    public String getProStatus() {
        return proStatus;
    }

    public void setProStatus(String proStatus) {
        this.proStatus = proStatus;
    }

    public String getRaiseNum() {
        return raiseNum;
    }

    public void setRaiseNum(String raiseNum) {
        this.raiseNum = raiseNum;
    }

    @Override
    public String toString() {
        return "FinProResEntity{" +
        "id=" + id +
        ", name=" + name +
        ", abbr=" + abbr +
        ", bak=" + bak +
        ", status=" + status +
        ", flag=" + flag +
        ", resjson=" + resjson +
        ", desjson=" + desjson +
        ", proImgurl=" + proImgurl +
        ", proBright=" + proBright +
        ", createTime=" + createTime +
        ", createBy=" + createBy +
        ", updateTime=" + updateTime +
        ", updateBy=" + updateBy +
        ", deleteTag=" + deleteTag +
        ", orgId=" + orgId +
        ", proTag=" + proTag +
        ", titleSw=" + titleSw +
        ", proTitle=" + proTitle +
        ", proRiskConfig=" + proRiskConfig +
        ", investorCertificationSwitch=" + investorCertificationSwitch +
        ", riskLevel=" + riskLevel +
        ", arReviewBy=" + arReviewBy +
        ", arReviewTime=" + arReviewTime +
        ", arSubmitBy=" + arSubmitBy +
        ", arSubmitTime=" + arSubmitTime +
        ", arReleaseBy=" + arReleaseBy +
        ", arReleaseTime=" + arReleaseTime +
        ", proType=" + proType +
        ", arSoltBy=" + arSoltBy +
        ", arSoltTime=" + arSoltTime +
        ", proSoldoutTime=" + proSoldoutTime +
        ", raiseStart=" + raiseStart +
        ", raiseEnd=" + raiseEnd +
        ", proStatus=" + proStatus +
        ", raiseNum=" + raiseNum +
        "}";
    }
}
