package com.tanpu.community.dao.entity.zhibo;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 直播间信息表
 * </p>
 *
 * @author xudong
 * @since 2021-06-23
 */
@TableName("zhibo_theme")
@ApiModel(value="ZhiboThemeEntity对象", description="直播间信息表")
public class ZhiboThemeEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一主键")
    private String id;

    @ApiModelProperty(value = "主题名称")
    private String ztName;

    @ApiModelProperty(value = "开播时间")
    private LocalDateTime ztStarttime;

    @ApiModelProperty(value = "结束时间")
    private LocalDateTime ztEndtime;

    @ApiModelProperty(value = "描述")
    private String ztDesc;

    @ApiModelProperty(value = "（废弃）")
    private String ztRoomnum;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;

    @ApiModelProperty(value = "删除标识 0:正常，1： 删除 2：草稿")
    private String deletetag;

    @ApiModelProperty(value = "直播间状态 1未开始，2直播中，3已结束")
    private String ztStatus;

    @ApiModelProperty(value = "列表缩略图")
    private String ztBackimg;

    @ApiModelProperty(value = "分享模式")
    private Integer sharePattern;

    @ApiModelProperty(value = "详情背景图")
    private String ztImg;

    @ApiModelProperty(value = "最新大图")
    private String bigImg;

    @ApiModelProperty(value = "是否含直播")
    private String ztIszhibo;

    @ApiModelProperty(value = "关联产品")
    private String ztProid;

    @ApiModelProperty(value = "培训人")
    private String ztUname;

    @ApiModelProperty(value = "参与人开放标识")
    private String ztFlag;

    @ApiModelProperty(value = "机构ID")
    private String orgId;

    @ApiModelProperty(value = "密码")
    private String ztPassword;

    @ApiModelProperty(value = "直播标签")
    private String ztLabel;

    @ApiModelProperty(value = "参与人")
    private String ztUserids;

    @ApiModelProperty(value = "是否禁言 0：否 1：是")
    private String ztMute;

    @ApiModelProperty(value = "直播类型  1探普之夜，2探普八点半")
    private String ztType;

    private Integer ztAppointmentNums;

    private String ztInfo;

    private String ztQrcode;

    private String ztFuli;

    @ApiModelProperty(value = "直播基数")
    private Integer ztCardinal;

    @ApiModelProperty(value = "是否可分享")
    private String ztIsshare;

    @ApiModelProperty(value = "是否收集用户信息,1收集,0不收集")
    private String ztIscollectUserinfo;

    @ApiModelProperty(value = "是否开启手机号验证")
    private String ztIsverificationPhone;

    private String ztExamid;

    @ApiModelProperty(value = "母直播间id")
    private String parentId;

    @ApiModelProperty(value = "直播间类型   1母直播间，2子直播间")
    private Integer roomType;

    @ApiModelProperty(value = "视屏类型 1视频，2音频")
    private Integer videoType;

    @ApiModelProperty(value = "直播时长 显示 单位小时")
    private Double durationSecondShow;

    @ApiModelProperty(value = "实际开始时间")
    private LocalDateTime realStartTime;

    @ApiModelProperty(value = "真实结束时间")
    private LocalDateTime realEndTime;

    @ApiModelProperty(value = "直播实际时长")
    private Integer realDurationSecond;

    @ApiModelProperty(value = "是否可预约   1：需要预约  0：不需要预约")
    private Integer reservation;

    @ApiModelProperty(value = "可转播设置   1：可转播   0：不可转播")
    private Integer canBroadcast;

    @ApiModelProperty(value = "转播积分")
    private Integer broadcastScore;

    @ApiModelProperty(value = "转播数量")
    private Integer broadcastNum;

    @ApiModelProperty(value = "探普云参与权限0：所有人，1仅注册用户，2仅探普会员可进入，3需要密码，4仅基础营人员可进入")
    private Integer participationRigth;

    @ApiModelProperty(value = "回放设置 0：不录制 1：录制")
    private Integer replay;

    @ApiModelProperty(value = "开场白")
    private String openingRemarks;

    @ApiModelProperty(value = "直播间头衔")
    private String userTitle;

    @ApiModelProperty(value = "访客问候语")
    private String guestGreetings;

    @ApiModelProperty(value = "是否给访客发送名片（0不发送 1发送） （-针对理财师）")
    private String guestCard;

    @ApiModelProperty(value = "是否给访客发送微店（0不发送 1发送） （-针对理财师）")
    private String guestWeShop;

    @ApiModelProperty(value = "一级好友问候语")
    private String friendGreetings;

    @ApiModelProperty(value = "是否给好友发送微店（0不发送 1发送） （-针对理财师）")
    private String friendCard;

    @ApiModelProperty(value = "是否给好友发送微店（0不发送 1发送） （-针对理财师）")
    private String friendWeShop;

    @ApiModelProperty(value = "推荐到微店首页 1：可推荐   0：不可推荐")
    private Integer recommendHomePage;

    @ApiModelProperty(value = "推荐到首页的时间")
    private LocalDateTime recommendTime;

    @ApiModelProperty(value = "参与人数")
    private Integer participantsNum;

    @ApiModelProperty(value = "在线人数")
    private Integer onlineNum;

    @ApiModelProperty(value = "预约人数")
    private Integer reservationNum;

    @ApiModelProperty(value = "已填信息表人数")
    private Integer informationSheetNum;

    @ApiModelProperty(value = "回放人数")
    private Integer replayNum;

    @ApiModelProperty(value = "短信模板id")
    private String smsTemplateId;

    @ApiModelProperty(value = "主讲人描述，用于直播间主讲人描述")
    private String managerName;

    @ApiModelProperty(value = "推荐到探普学堂首页 1：推荐   0：不推荐")
    private Integer recommendHomeTanpu;

    @ApiModelProperty(value = "推荐首页（探普学堂）推荐时间")
    private LocalDateTime recommendTimeTanpu;

    @ApiModelProperty(value = "参数人次 统计pv")
    private Integer participantsPv;

    @ApiModelProperty(value = "子直播间参与人次累加")
    private Integer participantsChildPv;

    @ApiModelProperty(value = "是否隐私直播间 0否 1是")
    @TableField("isPrivacy")
    private Integer isprivacy;

    @ApiModelProperty(value = "群组状态 1:已创建 2:已销毁")
    private Integer iscreateGroupSuccess;

    @ApiModelProperty(value = "在线人数峰值")
    private Integer maxOnlineNum;

    @ApiModelProperty(value = "标签")
    private String tags;

    @ApiModelProperty(value = "说明")
    private String explain;

    @ApiModelProperty(value = "讲师id")
    private String managerId;

    @ApiModelProperty(value = "0：不使用 1：使用讲师图")
    private Integer bgStatus;

    @ApiModelProperty(value = "背景图地址")
    private String bgImg;

    @ApiModelProperty(value = "0:没有试看 1:有试看")
    private Integer seeStatus;

    @ApiModelProperty(value = "试看时长 单位 m")
    private Integer seeLength;

    @ApiModelProperty(value = "方图")
    private String squareImg;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getZtName() {
        return ztName;
    }

    public void setZtName(String ztName) {
        this.ztName = ztName;
    }

    public LocalDateTime getZtStarttime() {
        return ztStarttime;
    }

    public void setZtStarttime(LocalDateTime ztStarttime) {
        this.ztStarttime = ztStarttime;
    }

    public LocalDateTime getZtEndtime() {
        return ztEndtime;
    }

    public void setZtEndtime(LocalDateTime ztEndtime) {
        this.ztEndtime = ztEndtime;
    }

    public String getZtDesc() {
        return ztDesc;
    }

    public void setZtDesc(String ztDesc) {
        this.ztDesc = ztDesc;
    }

    public String getZtRoomnum() {
        return ztRoomnum;
    }

    public void setZtRoomnum(String ztRoomnum) {
        this.ztRoomnum = ztRoomnum;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getDeletetag() {
        return deletetag;
    }

    public void setDeletetag(String deletetag) {
        this.deletetag = deletetag;
    }

    public String getZtStatus() {
        return ztStatus;
    }

    public void setZtStatus(String ztStatus) {
        this.ztStatus = ztStatus;
    }

    public String getZtBackimg() {
        return ztBackimg;
    }

    public void setZtBackimg(String ztBackimg) {
        this.ztBackimg = ztBackimg;
    }

    public Integer getSharePattern() {
        return sharePattern;
    }

    public void setSharePattern(Integer sharePattern) {
        this.sharePattern = sharePattern;
    }

    public String getZtImg() {
        return ztImg;
    }

    public void setZtImg(String ztImg) {
        this.ztImg = ztImg;
    }

    public String getBigImg() {
        return bigImg;
    }

    public void setBigImg(String bigImg) {
        this.bigImg = bigImg;
    }

    public String getZtIszhibo() {
        return ztIszhibo;
    }

    public void setZtIszhibo(String ztIszhibo) {
        this.ztIszhibo = ztIszhibo;
    }

    public String getZtProid() {
        return ztProid;
    }

    public void setZtProid(String ztProid) {
        this.ztProid = ztProid;
    }

    public String getZtUname() {
        return ztUname;
    }

    public void setZtUname(String ztUname) {
        this.ztUname = ztUname;
    }

    public String getZtFlag() {
        return ztFlag;
    }

    public void setZtFlag(String ztFlag) {
        this.ztFlag = ztFlag;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getZtPassword() {
        return ztPassword;
    }

    public void setZtPassword(String ztPassword) {
        this.ztPassword = ztPassword;
    }

    public String getZtLabel() {
        return ztLabel;
    }

    public void setZtLabel(String ztLabel) {
        this.ztLabel = ztLabel;
    }

    public String getZtUserids() {
        return ztUserids;
    }

    public void setZtUserids(String ztUserids) {
        this.ztUserids = ztUserids;
    }

    public String getZtMute() {
        return ztMute;
    }

    public void setZtMute(String ztMute) {
        this.ztMute = ztMute;
    }

    public String getZtType() {
        return ztType;
    }

    public void setZtType(String ztType) {
        this.ztType = ztType;
    }

    public Integer getZtAppointmentNums() {
        return ztAppointmentNums;
    }

    public void setZtAppointmentNums(Integer ztAppointmentNums) {
        this.ztAppointmentNums = ztAppointmentNums;
    }

    public String getZtInfo() {
        return ztInfo;
    }

    public void setZtInfo(String ztInfo) {
        this.ztInfo = ztInfo;
    }

    public String getZtQrcode() {
        return ztQrcode;
    }

    public void setZtQrcode(String ztQrcode) {
        this.ztQrcode = ztQrcode;
    }

    public String getZtFuli() {
        return ztFuli;
    }

    public void setZtFuli(String ztFuli) {
        this.ztFuli = ztFuli;
    }

    public Integer getZtCardinal() {
        return ztCardinal;
    }

    public void setZtCardinal(Integer ztCardinal) {
        this.ztCardinal = ztCardinal;
    }

    public String getZtIsshare() {
        return ztIsshare;
    }

    public void setZtIsshare(String ztIsshare) {
        this.ztIsshare = ztIsshare;
    }

    public String getZtIscollectUserinfo() {
        return ztIscollectUserinfo;
    }

    public void setZtIscollectUserinfo(String ztIscollectUserinfo) {
        this.ztIscollectUserinfo = ztIscollectUserinfo;
    }

    public String getZtIsverificationPhone() {
        return ztIsverificationPhone;
    }

    public void setZtIsverificationPhone(String ztIsverificationPhone) {
        this.ztIsverificationPhone = ztIsverificationPhone;
    }

    public String getZtExamid() {
        return ztExamid;
    }

    public void setZtExamid(String ztExamid) {
        this.ztExamid = ztExamid;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public Integer getRoomType() {
        return roomType;
    }

    public void setRoomType(Integer roomType) {
        this.roomType = roomType;
    }

    public Integer getVideoType() {
        return videoType;
    }

    public void setVideoType(Integer videoType) {
        this.videoType = videoType;
    }

    public Double getDurationSecondShow() {
        return durationSecondShow;
    }

    public void setDurationSecondShow(Double durationSecondShow) {
        this.durationSecondShow = durationSecondShow;
    }

    public LocalDateTime getRealStartTime() {
        return realStartTime;
    }

    public void setRealStartTime(LocalDateTime realStartTime) {
        this.realStartTime = realStartTime;
    }

    public LocalDateTime getRealEndTime() {
        return realEndTime;
    }

    public void setRealEndTime(LocalDateTime realEndTime) {
        this.realEndTime = realEndTime;
    }

    public Integer getRealDurationSecond() {
        return realDurationSecond;
    }

    public void setRealDurationSecond(Integer realDurationSecond) {
        this.realDurationSecond = realDurationSecond;
    }

    public Integer getReservation() {
        return reservation;
    }

    public void setReservation(Integer reservation) {
        this.reservation = reservation;
    }

    public Integer getCanBroadcast() {
        return canBroadcast;
    }

    public void setCanBroadcast(Integer canBroadcast) {
        this.canBroadcast = canBroadcast;
    }

    public Integer getBroadcastScore() {
        return broadcastScore;
    }

    public void setBroadcastScore(Integer broadcastScore) {
        this.broadcastScore = broadcastScore;
    }

    public Integer getBroadcastNum() {
        return broadcastNum;
    }

    public void setBroadcastNum(Integer broadcastNum) {
        this.broadcastNum = broadcastNum;
    }

    public Integer getParticipationRigth() {
        return participationRigth;
    }

    public void setParticipationRigth(Integer participationRigth) {
        this.participationRigth = participationRigth;
    }

    public Integer getReplay() {
        return replay;
    }

    public void setReplay(Integer replay) {
        this.replay = replay;
    }

    public String getOpeningRemarks() {
        return openingRemarks;
    }

    public void setOpeningRemarks(String openingRemarks) {
        this.openingRemarks = openingRemarks;
    }

    public String getUserTitle() {
        return userTitle;
    }

    public void setUserTitle(String userTitle) {
        this.userTitle = userTitle;
    }

    public String getGuestGreetings() {
        return guestGreetings;
    }

    public void setGuestGreetings(String guestGreetings) {
        this.guestGreetings = guestGreetings;
    }

    public String getGuestCard() {
        return guestCard;
    }

    public void setGuestCard(String guestCard) {
        this.guestCard = guestCard;
    }

    public String getGuestWeShop() {
        return guestWeShop;
    }

    public void setGuestWeShop(String guestWeShop) {
        this.guestWeShop = guestWeShop;
    }

    public String getFriendGreetings() {
        return friendGreetings;
    }

    public void setFriendGreetings(String friendGreetings) {
        this.friendGreetings = friendGreetings;
    }

    public String getFriendCard() {
        return friendCard;
    }

    public void setFriendCard(String friendCard) {
        this.friendCard = friendCard;
    }

    public String getFriendWeShop() {
        return friendWeShop;
    }

    public void setFriendWeShop(String friendWeShop) {
        this.friendWeShop = friendWeShop;
    }

    public Integer getRecommendHomePage() {
        return recommendHomePage;
    }

    public void setRecommendHomePage(Integer recommendHomePage) {
        this.recommendHomePage = recommendHomePage;
    }

    public LocalDateTime getRecommendTime() {
        return recommendTime;
    }

    public void setRecommendTime(LocalDateTime recommendTime) {
        this.recommendTime = recommendTime;
    }

    public Integer getParticipantsNum() {
        return participantsNum;
    }

    public void setParticipantsNum(Integer participantsNum) {
        this.participantsNum = participantsNum;
    }

    public Integer getOnlineNum() {
        return onlineNum;
    }

    public void setOnlineNum(Integer onlineNum) {
        this.onlineNum = onlineNum;
    }

    public Integer getReservationNum() {
        return reservationNum;
    }

    public void setReservationNum(Integer reservationNum) {
        this.reservationNum = reservationNum;
    }

    public Integer getInformationSheetNum() {
        return informationSheetNum;
    }

    public void setInformationSheetNum(Integer informationSheetNum) {
        this.informationSheetNum = informationSheetNum;
    }

    public Integer getReplayNum() {
        return replayNum;
    }

    public void setReplayNum(Integer replayNum) {
        this.replayNum = replayNum;
    }

    public String getSmsTemplateId() {
        return smsTemplateId;
    }

    public void setSmsTemplateId(String smsTemplateId) {
        this.smsTemplateId = smsTemplateId;
    }

    public String getManagerName() {
        return managerName;
    }

    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }

    public Integer getRecommendHomeTanpu() {
        return recommendHomeTanpu;
    }

    public void setRecommendHomeTanpu(Integer recommendHomeTanpu) {
        this.recommendHomeTanpu = recommendHomeTanpu;
    }

    public LocalDateTime getRecommendTimeTanpu() {
        return recommendTimeTanpu;
    }

    public void setRecommendTimeTanpu(LocalDateTime recommendTimeTanpu) {
        this.recommendTimeTanpu = recommendTimeTanpu;
    }

    public Integer getParticipantsPv() {
        return participantsPv;
    }

    public void setParticipantsPv(Integer participantsPv) {
        this.participantsPv = participantsPv;
    }

    public Integer getParticipantsChildPv() {
        return participantsChildPv;
    }

    public void setParticipantsChildPv(Integer participantsChildPv) {
        this.participantsChildPv = participantsChildPv;
    }

    public Integer getIsprivacy() {
        return isprivacy;
    }

    public void setIsprivacy(Integer isprivacy) {
        this.isprivacy = isprivacy;
    }

    public Integer getIscreateGroupSuccess() {
        return iscreateGroupSuccess;
    }

    public void setIscreateGroupSuccess(Integer iscreateGroupSuccess) {
        this.iscreateGroupSuccess = iscreateGroupSuccess;
    }

    public Integer getMaxOnlineNum() {
        return maxOnlineNum;
    }

    public void setMaxOnlineNum(Integer maxOnlineNum) {
        this.maxOnlineNum = maxOnlineNum;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public String getExplain() {
        return explain;
    }

    public void setExplain(String explain) {
        this.explain = explain;
    }

    public String getManagerId() {
        return managerId;
    }

    public void setManagerId(String managerId) {
        this.managerId = managerId;
    }

    public Integer getBgStatus() {
        return bgStatus;
    }

    public void setBgStatus(Integer bgStatus) {
        this.bgStatus = bgStatus;
    }

    public String getBgImg() {
        return bgImg;
    }

    public void setBgImg(String bgImg) {
        this.bgImg = bgImg;
    }

    public Integer getSeeStatus() {
        return seeStatus;
    }

    public void setSeeStatus(Integer seeStatus) {
        this.seeStatus = seeStatus;
    }

    public Integer getSeeLength() {
        return seeLength;
    }

    public void setSeeLength(Integer seeLength) {
        this.seeLength = seeLength;
    }

    public String getSquareImg() {
        return squareImg;
    }

    public void setSquareImg(String squareImg) {
        this.squareImg = squareImg;
    }

    @Override
    public String toString() {
        return "ZhiboThemeEntity{" +
        "id=" + id +
        ", ztName=" + ztName +
        ", ztStarttime=" + ztStarttime +
        ", ztEndtime=" + ztEndtime +
        ", ztDesc=" + ztDesc +
        ", ztRoomnum=" + ztRoomnum +
        ", createTime=" + createTime +
        ", createBy=" + createBy +
        ", updateTime=" + updateTime +
        ", updateBy=" + updateBy +
        ", deletetag=" + deletetag +
        ", ztStatus=" + ztStatus +
        ", ztBackimg=" + ztBackimg +
        ", sharePattern=" + sharePattern +
        ", ztImg=" + ztImg +
        ", bigImg=" + bigImg +
        ", ztIszhibo=" + ztIszhibo +
        ", ztProid=" + ztProid +
        ", ztUname=" + ztUname +
        ", ztFlag=" + ztFlag +
        ", orgId=" + orgId +
        ", ztPassword=" + ztPassword +
        ", ztLabel=" + ztLabel +
        ", ztUserids=" + ztUserids +
        ", ztMute=" + ztMute +
        ", ztType=" + ztType +
        ", ztAppointmentNums=" + ztAppointmentNums +
        ", ztInfo=" + ztInfo +
        ", ztQrcode=" + ztQrcode +
        ", ztFuli=" + ztFuli +
        ", ztCardinal=" + ztCardinal +
        ", ztIsshare=" + ztIsshare +
        ", ztIscollectUserinfo=" + ztIscollectUserinfo +
        ", ztIsverificationPhone=" + ztIsverificationPhone +
        ", ztExamid=" + ztExamid +
        ", parentId=" + parentId +
        ", roomType=" + roomType +
        ", videoType=" + videoType +
        ", durationSecondShow=" + durationSecondShow +
        ", realStartTime=" + realStartTime +
        ", realEndTime=" + realEndTime +
        ", realDurationSecond=" + realDurationSecond +
        ", reservation=" + reservation +
        ", canBroadcast=" + canBroadcast +
        ", broadcastScore=" + broadcastScore +
        ", broadcastNum=" + broadcastNum +
        ", participationRigth=" + participationRigth +
        ", replay=" + replay +
        ", openingRemarks=" + openingRemarks +
        ", userTitle=" + userTitle +
        ", guestGreetings=" + guestGreetings +
        ", guestCard=" + guestCard +
        ", guestWeShop=" + guestWeShop +
        ", friendGreetings=" + friendGreetings +
        ", friendCard=" + friendCard +
        ", friendWeShop=" + friendWeShop +
        ", recommendHomePage=" + recommendHomePage +
        ", recommendTime=" + recommendTime +
        ", participantsNum=" + participantsNum +
        ", onlineNum=" + onlineNum +
        ", reservationNum=" + reservationNum +
        ", informationSheetNum=" + informationSheetNum +
        ", replayNum=" + replayNum +
        ", smsTemplateId=" + smsTemplateId +
        ", managerName=" + managerName +
        ", recommendHomeTanpu=" + recommendHomeTanpu +
        ", recommendTimeTanpu=" + recommendTimeTanpu +
        ", participantsPv=" + participantsPv +
        ", participantsChildPv=" + participantsChildPv +
        ", isprivacy=" + isprivacy +
        ", iscreateGroupSuccess=" + iscreateGroupSuccess +
        ", maxOnlineNum=" + maxOnlineNum +
        ", tags=" + tags +
        ", explain=" + explain +
        ", managerId=" + managerId +
        ", bgStatus=" + bgStatus +
        ", bgImg=" + bgImg +
        ", seeStatus=" + seeStatus +
        ", seeLength=" + seeLength +
        ", squareImg=" + squareImg +
        "}";
    }
}
