package com.tanpu.community.feign.course;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.CourseDetailExt;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class FeignBackClientForCourse implements FallbackFactory<FeignClientForCourse> {
    @Override
    public FeignClientForCourse create(Throwable throwable) {
        return new FeignClientForCourse() {
            @Override
            public CommonResp<CourseDetailExt> getCourseIdDetailInfo(String id, String packageId) {
                log.error("请求信息", throwable);
                log.error("FeignClientForCourse.getCourseIdDetailInfo-查询课程id:{}，package:{}", id,packageId);
                return null;
            }
        };
    }
}
