package com.tanpu.community.feign.course;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.CourseDetailExt;
import com.tanpu.community.feign.product.FeignBackClientForProducts;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;


//@FeignClient(value = "service-product", contextId = "product",fallbackFactory = FeignBackClientForProducts.class, path = "/product")
@FeignClient(value = "service-course", contextId = "course", fallbackFactory = FeignBackClientForProducts.class, url = "http://127.0.0.1:8198/course")

public interface FeignClientForCourse {

    @ApiOperation("courseId 详情页")
    @GetMapping("/course/detail/info")
    CommonResp<CourseDetailExt> getCourseIdDetailInfo(@ApiParam("课程详情id") @RequestParam("id") String id,
                                                      @ApiParam("课程包id") @RequestParam("packageId") String packageId);

}
