package com.tanpu.community.feign.zhibo;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.ZhiboDetailVO;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

@Slf4j
@Component
public class FeignbackForZhibo implements FallbackFactory<FeignClientForZhibo> {

    @Override
    public FeignClientForZhibo create(Throwable throwable) {
        return new FeignClientForZhibo() {

            @Override
            public CommonResp queryZhiboDetail(String roomId) {
                log.error("请求信息", throwable);
                log.error("FeignClientForZhiboTheme.queryZhiboDetail探普学堂-查询直播id:{}", roomId);
                return null;
            }

            @Override
            public CommonResp<List<ZhiboDetailVO>> getZhiBoByIds(List<String> ids) {
                log.error("请求信息", throwable);
                log.error("FeignClientForZhiboTheme.queryZhiboDetail探普学堂-查询直播ids:{}", ids);
                return null;
            }



        };
    }
}
