package com.tanpu.community.service.other;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.tanpu.community.api.enums.CurriculumEnum;
import com.tanpu.community.api.enums.DeleteTagEnum;
import com.tanpu.community.dao.entity.user.CurriculumResEntity;
import com.tanpu.community.dao.mapper.user.CurriculumResMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 短视频详情
 */
@Service
public class CurriculumResService {

    @Resource
    private CurriculumResMapper curriculumResMapper;

    public CurriculumResEntity selectById(String id) {
        return curriculumResMapper.selectById(id);
    }

    public CurriculumResEntity selectShortVideo(String id){
        return curriculumResMapper.selectOne(new LambdaQueryWrapper<CurriculumResEntity>()
                .eq(CurriculumResEntity::getId,id)
                .eq(CurriculumResEntity::getDeleteTag, DeleteTagEnum.NOT_DELETED.getCode())
                .eq(CurriculumResEntity::getStatus, CurriculumEnum.CcStatus.up));
    }
}
